Subject: bug#11541: 24.0.97; Crash when visiting file on OS X 10.7.3

From: "C. Florian Ebeling" <[email-masked]>
Date: Thu, 31 May 2012 21:50:21 +0200

> That's why I suggested to actually _step_ through the code of
> ns_findfonts, one line at a time, including stepping into any
> functions it calls whose source is part of Emacs, looking for possible
> culprits, like NULL pointers, garbled pointers, uninitialized
> variables, blown-up stack, etc.  Just showing a few breakpoint hits
> won't cut it, as it didn't until now, if my experience in debugging
> tricky problems means anything.
> 
> Like I said: it might be slower, but in the end it will surely
> deliver.

Yes, I understand. My problem is that I don't know what to look for, honestly. I haven't used the NSFontDescriptor API much and I don't know the first thing about Emacs internals. The slowness or tedium is not my biggest worry.

But I will try what you suggest, and report how it goes and/or show suspect bits here.